summary refs log tree commit diff
path: root/.buildkite
diff options
context:
space:
mode:
authorRichard van der Hoff <1389908+richvdh@users.noreply.github.com>2020-02-10 00:41:20 +0000
committerGitHub <noreply@github.com>2020-02-10 00:41:20 +0000
commitfe73f0d533dcdcf11f069d89ebbff2ce88d16bb3 (patch)
treeb127c4aff315265a14e0a237951ea74cf6639824 /.buildkite
parentUpdate changelog (diff)
downloadsynapse-fe73f0d533dcdcf11f069d89ebbff2ce88d16bb3.tar.xz
Update setuptools for python 3.5 tests (#6880)
Workaround for jaraco/zipp#40
Diffstat (limited to '.buildkite')
-rwxr-xr-x.buildkite/scripts/test_old_deps.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/.buildkite/scripts/test_old_deps.sh b/.buildkite/scripts/test_old_deps.sh
new file mode 100755
index 0000000000..dfd71b2511
--- /dev/null
+++ b/.buildkite/scripts/test_old_deps.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+# this script is run by buildkite in a plain `xenial` container; it installs the
+# minimal requirements for tox and hands over to the py35-old tox environment.
+
+set -ex
+
+apt-get update
+apt-get install -y python3.5 python3.5-dev python3-pip libxml2-dev libxslt-dev zlib1g-dev
+
+# workaround for https://github.com/jaraco/zipp/issues/40
+python3.5 -m pip install 'setuptools>=34.4.0'
+
+python3.5 -m pip install tox
+
+export LANG="C.UTF-8"
+
+exec tox -e py35-old,combine